summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tlpkginfo
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2010-06-10 14:51:31 +0000
committerKarl Berry <karl@freefriends.org>2010-06-10 14:51:31 +0000
commitb6d1ce2a105a839a1cf75d4b4ccb8f5827d22b4c (patch)
treec40c4afa4ac09c7e3d1f7f47fe66afd7513d1523 /Master/tlpkg/bin/tlpkginfo
parentda353234f401986deb76831d76effffd0d0e2257 (diff)
mathspic script
git-svn-id: svn://tug.org/texlive/trunk@18868 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tlpkginfo')
-rwxr-xr-xMaster/tlpkg/bin/tlpkginfo8
1 files changed, 7 insertions, 1 deletions
diff --git a/Master/tlpkg/bin/tlpkginfo b/Master/tlpkg/bin/tlpkginfo
index 4aa47a063f2..80b088f38b9 100755
--- a/Master/tlpkg/bin/tlpkginfo
+++ b/Master/tlpkg/bin/tlpkginfo
@@ -163,6 +163,12 @@ sub find_ctan_dir
if $me =~ /^hyphen-/ && ! $ctan_dir;
}
+ # In the case of mathspic, we cannot use the catalogue directory,
+ # since we want to ignore the dos/ subdir and just go with the perl/.
+ if ($me eq "mathspic") {
+ $ctan_dir .= "/perl";
+ }
+
# prepend ctan root if not an absolute dir (this happens when we make
# a temp dir).
$ctan_dir = "$CTAN/$ctan_dir" if $ctan_dir =~ m,^[^/],;
@@ -207,7 +213,7 @@ sub catalogue_find_ctan_path
return undef unless -r $catfile;
# get the raw tag from the catalogue file.
- open CATFILE, '<', $catfile or die "Cannot read $catfile: $!\nFix me!\n";
+ open (CATFILE, "<$catfile") || die "Cannot read $catfile: $!\nFix me!\n";
while ($ctan_path = <CATFILE>) {
last if $ctan_path =~ /<ctan /;
}